import { StyleSheet } from 'react-native'
import appColors from '../../../theme/appColors'
import appFonts from '../../../theme/appFonts'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../theme/appConstant'

const styles = StyleSheet.create({
  mapSection: {
    flex: 0.7,
    backgroundColor: appColors.primaryLight,
  },
  extraSection: {
    flex: 0.1,
  },
  greenSection: {
    position: 'absolute',
    bottom: windowHeight(0),
    width: '100%',
    // height: windowHeight(55),
    flexDirection: 'column',
    justifyContent: 'space-between',
    backgroundColor: appColors.white,
    borderTopRightRadius: windowWidth(5),
    borderTopLeftRadius: windowWidth(5),
  },
  sheetDash: {
    alignSelf: 'center',
    borderRadius: windowWidth(1),
    marginTop: windowHeight(2),
    backgroundColor: appColors.primary,
    height: windowHeight(0.6),
    width: windowWidth(10),
    marginBottom: windowHeight(1),
  },
  text: {
    marginBottom: windowHeight(1.2),
    marginHorizontal: windowWidth(4),
    marginTop: windowHeight(2.3),
    fontFamily: appFonts.semiBold,
    fontSize: windowWidth(4.3),
  },
  boxContainer: {
    alignItems: 'center',
    width: '92%',
    height: windowHeight(6.3),
    paddingHorizontal: windowWidth(1.3),
    borderRadius: windowHeight(0.5),
    justifyContent: 'space-between',
    alignSelf: 'center',
    marginBottom: windowHeight(2.5),
  },
  boxLeft: {
    height: windowHeight(6.5),
    width: windowHeight(6.5),
    borderRadius: windowHeight(6.5),
    alignItems: 'center',
    justifyContent: 'center',
  },
  boxRight: {
    height: windowHeight(6.5),
    width: windowHeight(6.5),
    borderRadius: windowHeight(6.5),
    alignItems: 'center',
    justifyContent: 'center',
  },
  textCenter: {
    flex: 1,
    textAlign: 'center',
    color: appColors.price,
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT4HALF,
  },
  value: {
    fontFamily: appFonts.medium,
  },
  bottomView: {
    borderWidth: windowWidth(0.3),
    borderRadius: windowWidth(5),
    marginHorizontal: windowWidth(4),
    marginVertical: windowHeight(2),
  },
  backButton: {
    position: 'absolute',
  },
  button: {
    top: windowHeight(0.8),
    marginBottom: windowHeight(3),
  },
  textInput: {
    textAlign: 'center',
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT5,
    color: appColors.primary,
  },
})

export default styles
